/* Identical header styling to the main website,
for Gancio websites, where header and nav are
.site-header and .site-nav elements respectively.

The class usage avoids duplicating semantic elements,
or styling unintended Gancio-native elements from this
file. */


/* Theme colours - same as in ../style.css */
.v-application {
    --background-primary: #aaccff;
    --background-secondary: #aaddff;
    --background-neutral: #eee;
    --foreground: #111;
    --foreground-link: #008;
}

.v-application.theme--dark {
    --background-primary: #00095e;
    --background-secondary: #001f34;
    --background-neutral: #111;
    --foreground: #eee;
    --foreground-link: #aaf;
}

/* Override Gancio styling */
nav {
    background-image: linear-gradient(180deg, var(--background-primary, white) 100px, var(--background-neutral, white) 101px)!important;
}

#title {
    display: none;
}

/* header and nav styling */
.site {
    font-family: sans-serif!important;
    font-weight: normal!important;
    font-size: 15pt!important;
    line-height: unset!important;
    letter-spacing: 0px!important;
}

.site h1 {
    font-size: 40pt;
    margin: 0;
    padding: 20px;

    line-height: 61px!important;
}

.site p {
    font-size: 15pt;
    margin: 0;
    padding: 20px;

    margin-bottom: unset!important;
    line-height: 28px!important;
}

.site-header, .site-nav {
    margin: 0;
    padding: 0;

    padding-left: max(0px, calc(50vw - 400px));
    padding-right: max(0px, calc(50vw - 400px));
}
.site-header {
    background-color: var(--background-primary, white)!important;
    color: var(--foreground, black)!important;

    display: block;
    padding-bottom: 30px;
    background: linear-gradient(1deg, var(--background-secondary, white) 0px, var(--background-primary, white) 60px)!important;
}

.site-header {
    text-align: center;
}
.site-header p {
    transition: color 0.25s;
}

.site-header h1 {
    cursor: help;
}
.site-header:has(h1:hover) p {
    color: transparent;
}
.site-header p u {
    color: var(--foreground, black);
}

.site-nav {
    background-image: unset!important;
    background-color: var(--background-secondary, white)!important;
    color: var(--foreground, black)!important;

    line-height: 28px!important;
}

.site-nav ul {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: calc(100%-40px);
    list-style: none;
    font-size: 15pt;
    white-space: nowrap;

    margin: 0;
    padding: 0;
}
.site-nav ul li {
    margin: 0;
    padding: 20px;

    transition: color 0.25s, background-color 0.25s;
}
.site-nav ul li a {
    color: inherit;
    text-decoration: underline;
}
.site-nav ul li:has(a:hover), .site-nav ul li.current, .site-nav ul li.current-site {
    color: var(--foreground, black)!important;
    background-color: var(--background-neutral, white)!important;
}
.site-nav ul li:has(a:hover), .site-nav ul li.current-site {
    color: var(--foreground-link, blue)!important;
}

@media(max-width: 800px) {
    .site-nav ul {
        flex-wrap: nowrap;
    }
    .site-nav {
        overflow-x: auto;
    }
}
